> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/fiat-settlements/listing-bank-deposits.md).

# Listing bank deposits

<mark style="color:green;">`GET`</mark> `/api/public/v1/transactions/bank_deposits`

This endpoint returns a list of all bank deposit transactions.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**URL Parameters**

<table><thead><tr><th width="161.23699951171875">Name</th><th width="142.8192138671875">Type</th><th>Description</th></tr></thead><tbody><tr><td>order</td><td>string</td><td>Order in which the list of transactions should be returned. Can be <code>created_at</code>.</td></tr><tr><td>order_type</td><td>string</td><td>Order type. Can be either <code>asc</code> or <code>desc</code>.</td></tr><tr><td>page</td><td>number</td><td>Page for which you want to return transactions.</td></tr><tr><td>per_page</td><td>number</td><td>Number of transactions per page to return.</td></tr><tr><td>created_at_from</td><td>string</td><td>Date and time filter. Supports timestamps in ISO 8601 format, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr><tr><td>created_at_to</td><td>string</td><td>Date and time filter. Supports timestamps in ISO 8601 format, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr></tbody></table>

**Response Body**

<table><thead><tr><th>Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td>data[].id</td><td>string</td><td>Transaction ID.</td></tr><tr><td>data[].type</td><td>string</td><td>Entity type returned. Always <code>transactions</code>.</td></tr><tr><td>data[].attributes</td><td>object</td><td>Set of transaction attributes.</td></tr><tr><td>data[].attributes.createdAt</td><td>string</td><td>Timestamp when the deposit was created. Refer to the <a href="/pages/H7xWDJMZukOei8CS8tUW">Date and time format</a> page.</td></tr><tr><td>data[].attributes.simplifiedState</td><td>string</td><td>Transaction status.</td></tr><tr><td>data[].attributes.transactionType</td><td>string</td><td>Transaction type. Always <code>BankDepositTransaction</code>.</td></tr><tr><td>data[].attributes.amount</td><td>string</td><td>Amount credited to the account.</td></tr><tr><td>data[].attributes.currency</td><td>string</td><td>Currency code of the transaction.</td></tr><tr><td>data[].attributes.balance</td><td>string</td><td>Account balance immediately after Txn processed this transaction. <code>null</code> when not applicable.</td></tr><tr><td>data[].attributes.reference</td><td>string</td><td>Bank deposit reference.</td></tr><tr><td>data[].attributes.accountId</td><td>string</td><td>ID of the account the deposit was credited to.</td></tr><tr><td>data[].relationships.account.id</td><td>string</td><td>ID of the account the deposit belongs to.</td></tr><tr><td>included[].type(accounts).attributes</td><td>object</td><td>The account the deposit was credited to.</td></tr><tr><td>included[].type(bankDepositTransactions).attributes</td><td>object</td><td>Bank deposit details, including <code>state</code>, payer information (<code>payerName</code>, <code>payerIban</code>, <code>payerBic</code>, <code>payerAddress</code>), <code>amount</code>, and <code>currency</code>.</td></tr><tr><td>meta.page</td><td>number</td><td>Current page number.</td></tr><tr><td>meta.per_page</td><td>number</td><td>Page size used for the response.</td></tr><tr><td>meta.total</td><td>number</td><td>Total number of deposits matching the query.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": [
    {
      "id": "9a53eecf-2cad-4e01-99e2-135d68a47c0b",
      "type": "transactions",
      "attributes": {
        "createdAt": "2024-12-10T12:14:04.295Z",
        "simplifiedState": "completed",
        "transactionType": "BankDepositTransaction",
        "amount": "1.40",
        "reference": "dbc43033-7692-4e6e-bdcb-3e4d7aafd5f4"
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "transactionDetails": {
          "data": {
            "type": "bank_deposit_transactions",
            "id": "9a53eecf-2cad-4e01-99e2-135d68a47c0b"
          }
        }
      }
    }
  ],
  "included": [
    {
      "id": "9a53eecf-2cad-4e01-99e2-135d68a47c0b",
      "type": "bank_deposit_transactions",
      "attributes": {
        "createdAt": "2024-12-10T12:12:49.639Z",
        "updatedAt": "2024-12-10T12:12:49.639Z",
        "state": "completed",
        "currency": "EUR",
        "amount": "1.40"
      },
      "relationships": {
        "account": {
          "data": {
            "type": "accounts",
            "id": "acd50522-de49-4aaa-a183-dc046ff27fd5"
          }
        }
      }
    },
    {
      "id": "acd50522-de49-4aaa-a183-dc046ff27fd5",
      "type": "accounts",
      "attributes": {
        "currencyCode": "EUR",
        "balance": "25609.70",
        "currencyType": "fiat"
      },
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 1,
    "total": 6
  },
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.txn.io/fiat-settlements/listing-bank-deposits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
